commit:     791ea51308427b986102d855d0a0553604cc4523
Author:     William Pettersson <william <AT> ewpettersson <DOT> se>
AuthorDate: Wed Jan 17 08:06:44 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 21 04:14:02 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=791ea513

app-text/xapers: add 0.9.2, use PEP517

* Remove old maintainer as they are unresponsive
* New upstream site
* PEP517 ebuild

Skipping 0.9.1 as the install script missed submodules and was hence
unusable

Closes: https://bugs.gentoo.org/922219
Closes: https://bugs.gentoo.org/909902
Signed-off-by: William pettersson <william <AT> ewpettersson.se>
Closes: https://github.com/gentoo/gentoo/pull/34859
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/xapers/Manifest            |  1 +
 app-text/xapers/metadata.xml        |  5 +----
 app-text/xapers/xapers-0.9.2.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 3 files changed, 38 insertions(+), 4 deletions(-)

diff --git a/app-text/xapers/Manifest b/app-text/xapers/Manifest
index db9cbceff7e4..a8381dc78764 100644
--- a/app-text/xapers/Manifest
+++ b/app-text/xapers/Manifest
@@ -1 +1,2 @@
 DIST xapers-0.9.0.tar.gz 159928 BLAKE2B 
d202a3835ccbcb1adfc2123ee40f6e1992e0c10f84cf57fc38eaae27134d649c94b5c625bf3a11ef2f4d119093fb1dcd99a923a9585d8e6b6b37ed9db7c15247
 SHA512 
0b2e32d215c64842a2d586c776d6cdfd2b77cd3081929c37dde9682fb61e8c58e374773ef33e1123087e8dcf655e12fd19db371005aaf31875492607d6494dd7
+DIST xapers-0.9.2.tar.bz2 155239 BLAKE2B 
918ce421b154291deeb636b50c0dd0db2e523405d66105e3799a7abb054411b15b02cc5fa55e9667fb7c8fe98664778fb90e7c77aaa716b66c0f4dc4d463aae7
 SHA512 
73604490278bcdb228333dc677be12f6110cc11ab96a8a0d3c4590c5e6383d0869db2e82fbed88e4bf82fd997025ca831b6412bb00a54a7ab8ba3309b755d84b

diff --git a/app-text/xapers/metadata.xml b/app-text/xapers/metadata.xml
index 2541df48c09d..4e0bcb47f23f 100644
--- a/app-text/xapers/metadata.xml
+++ b/app-text/xapers/metadata.xml
@@ -10,9 +10,6 @@
     <name>Proxy maintainers</name>
   </maintainer>
   <upstream>
-    <maintainer status="active">
-      <name>Jameson Graef Rollins</name>
-      <email>[email protected]</email>
-    </maintainer>
+    <remote-id type="gitlab">wpettersson/xapers</remote-id>
   </upstream>
 </pkgmetadata>

diff --git a/app-text/xapers/xapers-0.9.2.ebuild 
b/app-text/xapers/xapers-0.9.2.ebuild
new file mode 100644
index 000000000000..cee8778f4ad9
--- /dev/null
+++ b/app-text/xapers/xapers-0.9.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2016-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Personal document indexing system"
+HOMEPAGE="https://gitlab.com/wpettersson/xapers/";
+SRC_URI="https://gitlab.com/wpettersson/${PN}/-/archive/${PV}/${P}.tar.bz2";
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="app-text/poppler[utils]
+       dev-libs/xapian-bindings[python,${PYTHON_USEDEP}]
+       dev-python/pybtex[${PYTHON_USEDEP}]
+       dev-python/pycurl[${PYTHON_USEDEP}]
+       dev-python/urwid[${PYTHON_USEDEP}]
+       x11-misc/xclip
+       x11-misc/xdg-utils"
+
+BDEPEND="dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND} )"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+       cd test || die
+       ./all || die
+}

Reply via email to